package com.shuoeasy.springmvc;


import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;


@RequestMapping("/home")
@Controller
public class Home {
	
	/**
	 * 获取字符串的"data"参数，转换成User对象
	 * 路径 : home/show
	 */
	@RequestMapping("/show")
	public ModelAndView showPage(@RequestParam("data") User user){
		System.out.println("user=" + user);
		ModelAndView mav = new ModelAndView("home_index");
		mav.addObject("user", user);
		return mav;
	}
	
}
